package com.hisschemoller.utils.midi
{	
	/**
	 * @author Wouter Hisschemöller
	 * (c) May 13, 2009
	 */
	public class MidiControlChangeVO extends MidiEventVO
	{
		public var control : uint;
		public var value : Number; /** Always between 0 and 1. */

		public function MidiControlChangeVO()
		{
			type = MidiEventType.CONTROL_CHANGE;
		}

		override public function parseXML(o : XML) : Boolean
		{
			var success : Boolean = super.parseXML(o);
			
			channel = o.*[1].@Channel;
			control = o.*[1].@Control;
			value = o.*[1].@Value / MidiSpecification.MAX_VALUE_7BIT;
			
			return success;
		}
	}
}
