package com.hisschemoller.view.components.ui 
{
	import assets.PlayLocatorBarAsset;

	import flash.display.DisplayObjectContainer;
	/**
	 * @author Wouter Hisschemoller
	 * (c) Mar 24, 2010
	 */
	public class PlayLocatorBar extends BasicLocatorBar 
	{
		protected var _locatorBarAsset : PlayLocatorBarAsset;
		
		public function PlayLocatorBar(parent : DisplayObjectContainer = null, xpos : Number = 0, ypos : Number = 0)
		{
			super(parent, xpos, ypos);
		}

		/**
		 * Creates and adds the child display objects of this component.
		 */
		override protected function addChildren() : void
		{
			_locatorBarAsset = new PlayLocatorBarAsset();
			addChild(_locatorBarAsset);
			
			_track = _locatorBarAsset.tTrack;
			
			_fill = _locatorBarAsset.tFill;
			
			_startLocator = _locatorBarAsset.tStartLocator;
			
			_endLocator = _locatorBarAsset.tEndLocator;
			
			super.addChildren();
		}
	}
}
